account_user_get
curl --request GET \
--url https://api.dintero.com/v1/account/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/account/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/account/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/account/user"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/account/user")
.header("Authorization", "Bearer <token>")
.asString();{
"id": "<string>",
"accounts": [
{
"account_id": "P12345678",
"user": {
"id": "<string>",
"email": "customer@example.com",
"last_seen_at": "2023-11-07T05:31:56Z",
"scope": [
"receipts:write"
],
"name": "<string>",
"agreement": {
"name": "<string>",
"version": "<string>",
"personal_guarantee_accepted": true,
"attachments": [
{
"name": "Cookie Policy",
"version": "<string>"
}
]
}
},
"business_name": "TKP technology AS",
"public_business_name": "TKP tech",
"organization_number": "123456789MVA",
"display_name": "TKP tech instore AS",
"icon_url": "<string>"
}
],
"configuration": {
"mfa": {
"sms": {
"updated_at": "2023-11-07T05:31:56Z",
"enabled": true
},
"totp": {
"updated_at": "2023-11-07T05:31:56Z",
"enabled": true
}
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}account users
Authenticated User
Get public and private profile information when authenticated through Bearer auth
Use ID token as Bearer token if the user was authenticated externally. The ID token must include a
scopes:
- openid
- aws.cognito.signin.user.admin
GET
https://api.dintero.com/v1
/
account
/
user
account_user_get
curl --request GET \
--url https://api.dintero.com/v1/account/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/account/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/account/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/account/user"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/account/user")
.header("Authorization", "Bearer <token>")
.asString();{
"id": "<string>",
"accounts": [
{
"account_id": "P12345678",
"user": {
"id": "<string>",
"email": "customer@example.com",
"last_seen_at": "2023-11-07T05:31:56Z",
"scope": [
"receipts:write"
],
"name": "<string>",
"agreement": {
"name": "<string>",
"version": "<string>",
"personal_guarantee_accepted": true,
"attachments": [
{
"name": "Cookie Policy",
"version": "<string>"
}
]
}
},
"business_name": "TKP technology AS",
"public_business_name": "TKP tech",
"organization_number": "123456789MVA",
"display_name": "TKP tech instore AS",
"icon_url": "<string>"
}
],
"configuration": {
"mfa": {
"sms": {
"updated_at": "2023-11-07T05:31:56Z",
"enabled": true
},
"totp": {
"updated_at": "2023-11-07T05:31:56Z",
"enabled": true
}
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Last modified on July 22, 2026
⌘I